- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
maxfilt
Complete List of ArrayFire Functions ArrayFire Functions by Category » Image Processing » | Filters

Find maximum value from a window. More...

## Functions
AFAPI array | maxfilt (const array &in, const dim_t wind_length=3, const dim_t wind_width=3, const borderType edge_pad=AF_PAD_ZERO)
| C++ Interface for maximum filter. More...
AFAPI af_err | af_maxfilt (af_array *out, const af_array in, const dim_t wind_length, const dim_t wind_width, const af_border_type edge_pad)
| C Interface for maximum filter. More...

## Detailed Description

Find maximum value from a window.

maxfilt finds the smallest value from a 2D window and assigns it to the current pixel.

## Function Documentation

AFAPI af_err af_maxfilt | ( | af_array * | out,
|  | const af_array | in,
|  | const dim_t | wind_length,
|  | const dim_t | wind_width,
|  | const af_border_type | edge_pad
| ) |  |

C Interface for maximum filter.

Parameters

  [out] | out | array is the processed image
  [in] | in | array is the input image
  [in] | wind_length | is the kernel height
  [in] | wind_width | is the kernel width
  [in] | edge_pad | value will decide what happens to border when running filter in their neighborhood. It takes one of the values [AF_PAD_ZERO | AF_PAD_SYM]

Returns
  AF_SUCCESS if the maximum filter is applied successfully, otherwise an appropriate error code is returned.

AFAPI array af::maxfilt | ( | const array & | in,
|  | const dim_t | wind_length = `3`,
|  | const dim_t | wind_width = `3`,
|  | const borderType | edge_pad = `AF_PAD_ZERO`
| ) |  |

C++ Interface for maximum filter.

Parameters

  [in] | in | array is the input image
  [in] | wind_length | is the kernel height
  [in] | wind_width | is the kernel width
  [in] | edge_pad | value will decide what happens to border when running filter in their neighborhood. It takes one of the values [AF_PAD_ZERO | AF_PAD_SYM]

Returns
  the processed image

Examples:
  adaptive_thresholding.cpp.